### Method

# Fwupd Device set_composite_id

#### Declaration [src]

    void
    fwupd_device_set_composite_id (
      FwupdDevice* self,
      const gchar* composite_id
    )

#### Description [src]

Sets the composite ID, which is usually a SHA1 hash of a grandparent or parent device.

Available since: | 1.6.0

#### Parameters

`composite_id` | `const gchar*`
| A device ID.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.